Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.payload
Class SoapAttachment

    java.lang.Object
      org.eclipse.ohf.ihe.atna.payload.SoapAttachment

    public class SoapAttachment

extends java.lang.Object

Class for simplifing SOAP attachments for the XDS Clients, may or may not be used.

Author:
  Sarah Knoop

Constructor Summary
`SoapAttachment(java.lang.String data, java.lang.String mimeType, java.lang.String contentId)` Constructs a SoapAttachment object given the following parameters

Method Summary
`java.lang.String` | `getContentId()` Returns the attachment content id
`java.lang.String` | `getData()` Returns the attachment payload data
`java.lang.String` | `getMimeType()` Returns the attachment mime type
`void` | `setContentId(java.lang.String contentId)` Sets the attachment content id
`void` | `setData(java.lang.String data)` Sets the attachment payload data
`void` | `setMimeType(java.lang.String mimeType)` Sets the attachment mime type

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapAttachment

    public SoapAttachment(java.lang.String data,
                          java.lang.String mimeType,
                          java.lang.String contentId)

  Constructs a SoapAttachment object given the following parameters

  Parameters:
    `data` - represents the attachment payload data (ie. contents)
    `mimeType` - is the mime type of the attachment payload data
    `contentId` - is the content id of the attachment payload data

Method Detail

### getData

    public java.lang.String getData()

  Returns the attachment payload data

  Returns:

### setData

    public void setData(java.lang.String data)

  Sets the attachment payload data

### getMimeType

    public java.lang.String getMimeType()

  Returns the attachment mime type

  Returns:

### setMimeType

    public void setMimeType(java.lang.String mimeType)

  Sets the attachment mime type

### getContentId

    public java.lang.String getContentId()

  Returns the attachment content id

  Returns:

### setContentId

    public void setContentId(java.lang.String contentId)

  Sets the attachment content id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD